package org.jeecg.modules.zrzyqc.qcsb.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 */
@Data
@Accessors(chain = true)
@TableName("ss_dkjz")
@EqualsAndHashCode(callSuper = false)
public class SsDkjz implements Serializable {
    /**主键*/
//    @TableId(type = IdType.INPUT)
//    @ApiModelProperty(value = "主键")
//    private long id;

    @Excel(name = "地块编号", width = 15)
    @ApiModelProperty(value = "地块编号")
    private String dkbh;

    @Excel(name = "地类编码", width = 15)
    @ApiModelProperty(value = "地类编码")
    private String dlbm;

    @Excel(name = "地类名称", width = 15)
    @ApiModelProperty(value = "地类名称")
    private String dlmc;

    @Excel(name = "行政区划代码", width = 15)
    @ApiModelProperty(value = "行政区划代码")
    private String xjxzqhdm;

    @Excel(name = "行政区划名称", width = 15)
    @ApiModelProperty(value = "行政区划名称")
    private String xjxzqhmc;

    @Excel(name = "面积", width = 15)
    @ApiModelProperty(value = "面积")
    private java.lang.Double mj;

    @Excel(name = "平均价格", width = 15)
    @ApiModelProperty(value = "平均价格")
    private java.lang.Double pjjg;

    @Excel(name = "最高价格", width = 15)
    @ApiModelProperty(value = "最高价格")
    private java.lang.Double zgjg;

    @Excel(name = "最低价格", width = 15)
    @ApiModelProperty(value = "最低价格")
    private java.lang.Double zdjg;

    @ApiModelProperty(value = "总价格")
    private java.lang.Double zjg;

    @ApiModelProperty(value = "价格区间")
    private String jgqj;
    @ApiModelProperty(value = "价值范围")
    private String jzfw;

    @Excel(name = "合计", width = 15)
    @ApiModelProperty(value = "最低价格")
    private java.lang.Double hz;
}
